//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "WebLabel.h"

#include <shellApi.h>

#pragma package(smart_init)
#pragma resource "*.res"

//---------------------------------------------------------------------------
// ValidCtrCheck is used to assure that the components created do not have
// any pure virtual functions.
//

static inline void ValidCtrCheck(TWebLabel *)
{
        new TWebLabel(NULL);
}

//---------------------------------------------------------------------------
namespace Weblabel
{
        void __fastcall PACKAGE Register()
        {
                 TComponentClass classes[1] = {__classid(TWebLabel)};
                 RegisterComponents("SlyDiman", classes, 0);
        }
}

//---------------------------------------------------------------------------
__fastcall TWebLabel::TWebLabel(TComponent* Owner)
        : TLabel(Owner)
{
  Font->Color = clBlue;

  TFontStyles fs;
  fs << fsUnderline;
  Font->Style = fs;

  Cursor = crHandPoint;
  Caption = AnsiString("slydiman@mail.ru");
  FFile = AnsiString("mailto:slydiman@mail.ru");
  OnClick = OnLabelClick;
}

//---------------------------------------------------------------------------
void __fastcall TWebLabel::OnLabelClick(TObject *Sender)
{
  ShellExecute( Application->Handle,   // handle to parent window
    NULL,            // pointer to string that specifies operation to perform
    File.c_str(),    // pointer to filename or folder name string
    NULL,            // pointer to string that specifies executable-file parameters
    NULL,            // pointer to string that specifies default directory
    SW_SHOWNORMAL    // whether file is shown when opened
   );
}

//---------------------------------------------------------------------------
